INCLUDES=-I${top_srcdir} -I${top_builddir}

check_PROGRAMS=osxval

osxval_SOURCES=AnnotatedTSSchema_xiso.cpp AnnotatedTSSchema_xiso.h \
	AnnotatedTSSchema.h \
	test_result.cpp test_result.h \
	test_executor.cpp test_executor.h \
	osxval.cpp

osxval_LDADD=${top_builddir}/akaxiso2/libakaxiso2.la ${top_builddir}/osixaka2/libosixaka2.la
osxval_LDFLAGS=@AKAXISO2_LDFLAGS@
osxval_DEPENDENCIES=${osxval_LDADD}

test: ${check_PROGRAMS}
	./osxval testSuite 2>&1 | tee log.txt
